<div class="container registerForm" n:block="content">
   <div class="roleWrapper">
      <div class="role">
           <span class="trigger" data-role="Student">
                <img src="{$basePath}/images/unroledStudent.png" data-test="test">
           </span>
           <div class="toggle" style="display: none">
                <form n:name="studentRegisterForm" class="">
                  <div>
                    <ul class="errors" n:if="$form->hasErrors()">
                          <li n:foreach="$form->errors as $error">{$error}</li>
                    </ul>
                  </div>
                  <div class="form-group">
                    {label email for=>"inputEmail"/}
                    {input email id=>"inputEmail", class=>"form-control",  autofocus=>true, onChange=>"checkUniqueNickname(this)"}
                  </div>
                  <div class="form-group">
                    {label password for=>"inputPassword" /}
                    {input password  id=>"inputPassword",class=>"form-control"}
                  </div>
                  <div>
                    {input role }
                  </div>
                  <div class="form-group">
                    {label student_name for=>"inputName"/}
                    {input student_name id=>"inputName", class=>"form-control"}
                  </div>
                  <div class="form-group">
                    {label student_surname for=>"inputSurname"/}
                    {input student_surname id=>"inputSurname", class=>"form-control"}
                  </div>
                  <div class="form-group">
                    {label student_email for=>"inputEmail", /}
                    {input student_email id=>"inputEmail", class=>"form-control"}
                  </div>
                  <div class="form-group">
                    {label student_class for=>"iputClass"/}
                    {input student_class class=>"form-control", id=>"inputClass"}
                  </div>
                  <div class="form-group">
                    <div clas="checkbox left">
                        <label>Přejete si nechat zasílat upozornění?</label>
                    </div>
                    <div class="checkbox left">
                      <label>
                        {input settings_send_email}
                        {label settings_send_email /}
                      </label>
                    </div>
                    <div class="checkbox left">
                      <label>
                        {input settings_send_notification}
                        {label settings_send_notification /}
                      </label>
                    </div>
                  </div>
                  <button class="btn btn-lg btn-primary btn-block" type="submit">Registrovat</button>
                </form>
           </div>
       </div>
      <div class="role">
           <span class="trigger" data-role="Teacher">
                <img src="{$basePath}/images/unroledTeacher.png" data-test="test">
           </span>
           <div class="toggle" style="display: none">
                <form n:name="teacherRegisterForm" class="">
                      <div id="teacher-form-errors">
                        <ul class="errors" n:if="$form->hasErrors()">
                              <li n:foreach="$form->errors as $error">{$error}</li>
                        </ul>
                      </div>
                      <div class="form-group">
                        {label email for=>"inputEmail"/}
                        {input email id=>"inputEmail", class=>"form-control",  autofocus=>true, onChange=>"checkUniqueNickname(this)"}
                      </div>
                      <div class="form-group">
                        {label password for=>"inputPassword" /}
                        {input password  id=>"inputPassword",class=>"form-control"}
                      </div>
                      <div>
                        {input role }
                      </div>
                      <div class="form-group">
                        {label teacher_name for=>"inputName"/}
                        {input teacher_name id=>"inputName", class=>"form-control"}
                      </div>
                      <div class="form-group">
                        {label teacher_surname for=>"inputSurname"/}
                        {input teacher_surname id=>"inputSurname", class=>"form-control"}
                      </div>
                      <div class="form-group">
                        {label teacher_email for=>"inputEmail", /}
                        {input teacher_email id=>"inputEmail", class=>"form-control"}
                      </div>
                      <div class="form-group">
                        <div clas="checkbox left">
                            <label>Přejete si nechat zasílat upozornění?</label>
                        </div>
                        <div class="checkbox left">
                          <label>
                            {input settings_send_email}
                            {label settings_send_email /}
                          </label>
                        </div>
                        <div class="checkbox left">
                          <label>
                            {input settings_send_notification}
                            {label settings_send_notification /}
                          </label>
                        </div>
                      </div>
                    <button class="btn btn-lg btn-primary btn-block" type="submit">Registrovat</button>
                </form>
           </div>
      </div>
   </div>
</div>
<script n:block="script">
$(document).ready(function() {
    $(".role").each(function() {
       var role = $(this);
       role.find('.trigger').on('mouseover', function() {
           role.find('img').attr('src', '{$basePath|noescape}/images/roled'+role.find('.trigger').attr('data-role')+'.png');
       });
       role.find('.trigger').on('mouseout', function() {
           role.find('img').attr('src', '{$basePath|noescape}/images/unroled'+role.find('.trigger').attr('data-role')+'.png');
       });
       role.children(".trigger").on("click", function() {
            role.children(".toggle").slideToggle(600);
            if(role.children(".toggle").is(":visible")){
                $(".cover").css("height","100%");
            }
       });

       if(role.children(".toggle").find('.errors').length > 0) {
        role.find('.trigger').click();
       }

    });

});

</script>


